export default {
  // 唯一值
  id: '',
  title: '标题',
  // 数据源接口相关
  dataSource: [
    {
      dataSourceCode: '', // 数据源编码
      dataSourceType: '', // 数据类型 object ，array
      dataMetadata: [
        {
          code: 'month', // 字段名称
          displayName: '月份', // 别名
          dataType: 'String' // 数据类型
        },
        {
          code: 'count', // 字段名称
          displayName: '数量', // 别名
          dataType: 'Number' // 数据类型
        },
        {
          code: 'checi', // 字段名称
          displayName: '车次', // 别名
          dataType: 'Number' // 数据类型
        },
        {
          code: 'renshu', // 字段名称
          displayName: '人数', // 别名
          dataType: 'Number' // 数据类型
        }
      ],
      dataConfig: [
        {
          url: 'gys/material/info', // 返回月份、车次、数量
          params: ['beginTime', 'endTime'],
          method: 'GET'
        },
        {
          url: 'labor/count', // 返回月份、人数
          params: {
            beginTime: '20200121'
          },
          method: 'GET'
        }
      ],
      keyField: 'month' // 前插处理数据， 如果有该字段，根据这个字段将两个或多个数据合并
    }
  ],
  // 图表配置
  config: {
    theme: 'black', // 主题
    type: 'table',

    settings: { }
  }
}
