import GysPage from './page/index.vue'

const list = { GysPage }

export function install (Vue) {
  if (install.installed) return
  install.installed = true
  Object.keys(list).forEach(name => {
    Vue.component(name, list[name])
  })
}

const plugin = { install }

let GlobalVue = null
if (typeof window !== 'undefined') {
  GlobalVue = window.Vue
} else if (typeof global !== 'undefined') {
  GlobalVue = global.Vue
}
if (GlobalVue) {
  GlobalVue.use(plugin)
}

export default list
export { GysPage }
