import Vue from 'vue'
import VueRouter from 'vue-router'
import body from '../views/body.vue'
import 'element-ui/lib/theme-chalk/index.css'
Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'body',
    component: body,
    props: {
      metadataUrls: '/metadata/info1', // ['/metadata/info1', '/metadata/info2'],
      orgId: '2323'
    }
  }
]

const router = new VueRouter({
  mode: 'hash',
  base: '/',
  routes
})

export default router
