// const pageInfo = require('./mock/metadata/index')
const managerBoard4 = require('./mock/metadata/manager-board-4')
const managerBoard3 = require('./mock/metadata/manager-board-3')
module.exports = {
  configureWebpack: {
    externals: [require('webpack-require-http')]
  },
  devServer: {
    hot: true,
    host: '0.0.0.0',
    disableHostCheck: true,
    port: 8002,
    overlay: {
      warnings: false,
      errors: true
    },
    headers: {
      'Access-Control-Allow-Origin': '*'
    },
    before: function (app, server) {
      app.get('/metadata/info1', function (req, res) {
        res.json(managerBoard3)
      })
      app.get('/metadata/info2', function (req, res) {
        res.json(managerBoard4)
      })
    }
  }
}
